Name:           scalpel
Version:        1.60
Release:        4%{?dist}
Summary:        Fast file carver working on disk images

Group:          Applications/System
License:        GPLv2+
URL:            http://www.digitalforensicssolutions.com/Scalpel/
Source0:        http://www.digitalforensicssolutions.com/Scalpel/%{name}-%{version}.tar.gz

#Patch to search for system wide configuration if conf is not in working directory
#Sent to upstream on 20100824 - golden@digitalforensicssolutions.com
Patch0:         %{name}-confpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Scalpel is a fast file carver that reads a database of header and footer
definitions and extracts matching files from a set of image files or raw
device files. Scalpel is independent on used file-system and will carve
files from FATx, NTFS, ext2/3, or raw partitions. It is useful for both
digital forensics investigation and file recovery.

%prep
%setup -q
%patch0 -p 1 -b .0conf

#Remove Windows binary files
rm -f *.exe *.dll

#Modify conf to have some usable configuration out of the box
#In distribution configuration everything is commented out
#Sed script will uncomment common file extensions
sed -i -e "s/^#[ ]*$//;
           s/\t/        /g;
           s/^#   [ ]*\([a-z][a-z] \)/        \1/;
           s/^#   [ ]*\([a-z][a-z][a-z] \)/        \1/;
           s/^#   [ ]*\([a-z][a-z][a-z][a-z] \)/        \1/;
           s/^\(.*case[ ]*size\)/#\1/" %{name}.conf


%build
make %{?_smp_mflags} CC_OPTS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1* %{buildroot}%{_mandir}/man1/

install -d %{buildroot}%{_sysconfdir}
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README gpl.txt changelog
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.60-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 24 2010 Michal Ambroz <rebus at, seznam.cz> 1.60-3
- remove redundant attr permission definitions
- regenerate patch

* Tue Aug 24 2010 Michal Ambroz <rebus at, seznam.cz> 1.60-2
- fix package review issues

* Fri Apr 09 2010 Michal Ambroz <rebus at, seznam.cz> 1.60-1
- initial build for Fedora

